diff --git a/xlators/protocol/client/src/client-rpc-fops.c b/xlators/protocol/client/src/client-rpc-fops.c
index e07ba2751fc..438e29212ab 100644
--- a/xlators/protocol/client/src/client-rpc-fops.c
+++ b/xlators/protocol/client/src/client-rpc-fops.c
@@ -4578,7 +4578,6 @@ client3_3_getxattr(call_frame_t *frame, xlator_t *this, void *data)
             0,
         },
     };
-    dict_t *dict = NULL;
     int ret = 0;
     int32_t op_ret = -1;
     int op_errno = ESTALE;
@@ -4662,11 +4661,7 @@ client3_3_getxattr(call_frame_t *frame, xlator_t *this, void *data)
     if (rsp_iobref)
         iobref_unref(rsp_iobref);
 
-    CLIENT_STACK_UNWIND(getxattr, frame, op_ret, op_errno, dict, NULL);
-
-    if (dict) {
-        dict_unref(dict);
-    }
+    CLIENT_STACK_UNWIND(getxattr, frame, op_ret, op_errno, NULL, NULL);
 
     GF_FREE(req.xdata.xdata_val);
 
diff --git a/xlators/protocol/client/src/client-rpc-fops_v2.c b/xlators/protocol/client/src/client-rpc-fops_v2.c
index 2cdb4a5ddcb..bc96303788a 100644
--- a/xlators/protocol/client/src/client-rpc-fops_v2.c
+++ b/xlators/protocol/client/src/client-rpc-fops_v2.c
@@ -4343,7 +4343,6 @@ client4_0_getxattr(call_frame_t *frame, xlator_t *this, void *data)
             0,
         },
     };
-    dict_t *dict = NULL;
     int ret = 0;
     int32_t op_ret = -1;
     int op_errno = ESTALE;
@@ -4388,11 +4387,7 @@ client4_0_getxattr(call_frame_t *frame, xlator_t *this, void *data)
 
     return 0;
 unwind:
-    CLIENT_STACK_UNWIND(getxattr, frame, op_ret, op_errno, dict, NULL);
-
-    if (dict) {
-        dict_unref(dict);
-    }
+    CLIENT_STACK_UNWIND(getxattr, frame, op_ret, op_errno, NULL, NULL);
 
     GF_FREE(req.xdata.pairs.pairs_val);
 
